Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
social_media
/
reddit
/
live
Live Social Media Reddit Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/social_media/reddit/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targets": [
    "<string>"
  ],
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.type": "<string>",
  "result.page_url": "<string>",
  "result.reddit reviews": [
    "<string>"
  ],
  "result.subreddit": "<string>",
  "result.author_name": "<string>",
  "result.title": "<string>",
  "result.permalink": "<string>",
  "result.subreddit_members": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
targets
string[]
required

target URLs required field target page should be specified with its absolute URL (including http:// or https://) example: https://dataforseo.com/ Note: you can specify 10 targets maximum. You will be charged per earch URL you specify in this array

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

*the number of tasks in the **tasks*array

version.tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

unique task identifier in our system in the Universally unique identifier (UUID) format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000

tasks.status_message
string

informational message of the task

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.type
string

type of element = ‘social_media_reddit_item’

result.page_url
string

URL of the page the data is provided for corresponding URL you specified in the targets array when setting a task

result.reddit reviews
string[]

reddit reviews for the page_url

result.subreddit
string

the name of the subreddit

result.author_name
string

nickname of the author nicknname of the user who published the post in the subreddit and shared the URL

result.title
string

title of the subreddit post

URL to the subreddit post

result.subreddit_members
integer

number of subreddit members